diff -urP old/drivers/net/eepro100.c new/drivers/net/eepro100.c
--- old/drivers/net/eepro100.c	Thu Feb 10 09:53:27 2000
+++ new/drivers/net/eepro100.c	Thu Feb 10 10:26:59 2000
@@ -43,7 +43,12 @@
 
 /* Set the copy breakpoint for the copy-only-tiny-buffer Rx method.
    Lower values use more memory, but are faster. */
+#ifdef __alpha__
+/* force copying of all packets to avoid unaligned accesses on Alpha */
+static int rx_copybreak = 1518;
+#else
 static int rx_copybreak = 200;
+#endif
 
 /* Maximum events (Rx packets, etc.) to handle at each interrupt. */
 static int max_interrupt_work = 20;
@@ -1736,7 +1741,7 @@
 				skb->dev = dev;
 				skb_reserve(skb, 2);	/* Align IP on 16 byte boundaries */
 				/* 'skb_put()' points to the start of sk_buff data area. */
-#if 1 || USE_IP_CSUM
+#if !defined(__alpha__)
 				/* Packet is in one chunk -- we can copy + cksum. */
 				eth_copy_and_sum(skb, sp->rx_skbuff[entry]->tail, pkt_len, 0);
 				skb_put(skb, pkt_len);
diff -urP old/kernel/panic.c new/kernel/panic.c
--- old/kernel/panic.c	Tue Jan  4 22:49:44 2000
+++ new/kernel/panic.c	Thu Feb 10 10:34:05 2000
@@ -16,10 +16,6 @@
 #include <linux/sysrq.h>
 #include <linux/interrupt.h>
 
-#ifdef __alpha__
-#include <asm/machvec.h>
-#endif
-
 asmlinkage void sys_sync(void);	/* it's really int */
 extern void unblank_console(void);
 extern int C_A_D;
@@ -80,10 +76,6 @@
 		stop_a_enabled = 1;
 		printk("Press L1-A to return to the boot prom\n");
 	}
-#endif
-#ifdef __alpha__
-	if (alpha_using_srm)
-		halt();
 #endif
 #ifdef CONFIG_ARCH_S390
         disabled_wait(0x1234);
-----------------------------------------------------------------------------

